DCMTK: DRTOriginalAttributesSequence::Item Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
DRTOriginalAttributesSequence::Item Class Reference

Item class. More...

Inheritance diagram for DRTOriginalAttributesSequence::Item:

## Public Member Functions
| Item (const OFBool emptyDefaultItem=OFFalse)
| (default) constructor
| Item (const Item &copy)
| copy constructor
virtual | ~Item ()
| destructor
Item & | operator= (const Item &copy)
| assignment operator
void | clear ()
| clear all internal member variables
OFBool | isEmpty ()
| check if item is empty
OFBool | isValid () const
| check if item is valid, i.e. not the empty default item
OFCondition | read (DcmItem &item)
| read elements from sequence item
OFCondition | write (DcmItem &item)
| write elements to sequence item
OFCondition | getAttributeModificationDateTime (OFString &value, const signed long pos=0) const
| get AttributeModificationDateTime (0400,0562)
OFCondition | getModifyingSystem (OFString &value, const signed long pos=0) const
| get ModifyingSystem (0400,0563)
OFCondition | getReasonForTheAttributeModification (OFString &value, const signed long pos=0) const
| get ReasonForTheAttributeModification (0400,0565)
OFCondition | getSourceOfPreviousValues (OFString &value, const signed long pos=0) const
| get SourceOfPreviousValues (0400,0564)
DRTModifiedAttributesSequence & | getModifiedAttributesSequence ()
| get ModifiedAttributesSequence (0400,0550)
const DRTModifiedAttributesSequence & | getModifiedAttributesSequence () const
| get ModifiedAttributesSequence (0400,0550)
DRTNonconformingModifiedAttributesSequence & | getNonconformingModifiedAttributesSequence ()
| get NonconformingModifiedAttributesSequence (0400,0551)
const DRTNonconformingModifiedAttributesSequence & | getNonconformingModifiedAttributesSequence () const
| get NonconformingModifiedAttributesSequence (0400,0551)
OFCondition | setAttributeModificationDateTime (const OFString &value, const OFBool check=OFTrue)
| set AttributeModificationDateTime (0400,0562)
OFCondition | setModifyingSystem (const OFString &value, const OFBool check=OFTrue)
| set ModifyingSystem (0400,0563)
OFCondition | setReasonForTheAttributeModification (const OFString &value, const OFBool check=OFTrue)
| set ReasonForTheAttributeModification (0400,0565)
OFCondition | setSourceOfPreviousValues (const OFString &value, const OFBool check=OFTrue)
| set SourceOfPreviousValues (0400,0564)

## Private Attributes
OFBool | EmptyDefaultItem
| internal flag used to mark the empty default item
DcmDateTime | AttributeModificationDateTime
| AttributeModificationDateTime (0400,0562) vr=DT, vm=1, type=1.
DRTModifiedAttributesSequence | ModifiedAttributesSequence
| ModifiedAttributesSequence (0400,0550) vr=SQ, vm=1, type=1.
DcmLongString | ModifyingSystem
| ModifyingSystem (0400,0563) vr=LO, vm=1, type=1.
DRTNonconformingModifiedAttributesSequence | NonconformingModifiedAttributesSequence
| NonconformingModifiedAttributesSequence (0400,0551) vr=SQ, vm=1, type=3.
DcmCodeString | ReasonForTheAttributeModification
| ReasonForTheAttributeModification (0400,0565) vr=CS, vm=1, type=1.
DcmLongString | SourceOfPreviousValues
| SourceOfPreviousValues (0400,0564) vr=LO, vm=1, type=2.

## Additional Inherited Members
Protected Member Functions inherited from DRTTypes
virtual | ~DRTTypes ()
| destructor.
Static Protected Member Functions inherited from DRTTypes
static OFCondition | addElementToDataset (OFCondition &result, DcmItem &dataset, DcmElement *element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| add given element to the dataset.
static OFCondition | getElementFromDataset (DcmItem &dataset, DcmElement &element)
| get element from dataset
static OFCondition | getStringValueFromElement (const DcmElement &element, OFString &stringValue, const signed long pos=0)
| get string value from element
static OFCondition | getStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue)
| get string value from dataset
static OFCondition | putStringValueToDataset (DcmItem &dataset, const DcmTag &tag, const OFString &stringValue, const OFBool allowEmpty=OFTrue)
| put string value to dataset
static OFBool | checkElementValue (DcmElement &element, const OFString &vm, const OFString &type, const OFCondition &searchCond=EC_Normal, const char *moduleName=NULL)
| check element value for correct value multiplicity and type
static OFCondition | getAndCheckElementFromDataset (DcmItem &dataset, DcmElement &element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get element from dataset and check it for correct value multiplicity and type.
static OFCondition | getAndCheckStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get string value from dataset and check it for correct value multiplicity and type.

## Detailed Description

Item class.

## Constructor & Destructor Documentation

## ◆ Item() [1/2]

DRTOriginalAttributesSequence::Item::Item | ( | const OFBool | emptyDefaultItem = OFFalse | ) |

(default) constructor

Parameters

  emptyDefaultItem | flag used to mark the empty default item

Referenced by Item(), and operator=().

## ◆ Item() [2/2]

DRTOriginalAttributesSequence::Item::Item | ( | const Item & | copy | ) |

copy constructor

Parameters

  copy | item object to be copied

References Item().

## Member Function Documentation

## ◆ getAttributeModificationDateTime()

OFCondition DRTOriginalAttributesSequence::Item::getAttributeModificationDateTime | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get AttributeModificationDateTime (0400,0562)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getModifiedAttributesSequence() [1/2]

DRTModifiedAttributesSequence & DRTOriginalAttributesSequence::Item::getModifiedAttributesSequence | ( |  | ) |
| inline

get ModifiedAttributesSequence (0400,0550)

Returns
  reference to sequence element

References ModifiedAttributesSequence.

## ◆ getModifiedAttributesSequence() [2/2]

const DRTModifiedAttributesSequence & DRTOriginalAttributesSequence::Item::getModifiedAttributesSequence | ( |  | ) | const
| inline

get ModifiedAttributesSequence (0400,0550)

Returns
  const reference to sequence element

References ModifiedAttributesSequence.

## ◆ getModifyingSystem()

OFCondition DRTOriginalAttributesSequence::Item::getModifyingSystem | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get ModifyingSystem (0400,0563)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getNonconformingModifiedAttributesSequence() [1/2]

DRTNonconformingModifiedAttributesSequence & DRTOriginalAttributesSequence::Item::getNonconformingModifiedAttributesSequence | ( |  | ) |
| inline

get NonconformingModifiedAttributesSequence (0400,0551)

Returns
  reference to sequence element

References NonconformingModifiedAttributesSequence.

## ◆ getNonconformingModifiedAttributesSequence() [2/2]

const DRTNonconformingModifiedAttributesSequence & DRTOriginalAttributesSequence::Item::getNonconformingModifiedAttributesSequence | ( |  | ) | const
| inline

get NonconformingModifiedAttributesSequence (0400,0551)

Returns
  const reference to sequence element

References NonconformingModifiedAttributesSequence.

## ◆ getReasonForTheAttributeModification()

OFCondition DRTOriginalAttributesSequence::Item::getReasonForTheAttributeModification | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get ReasonForTheAttributeModification (0400,0565)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getSourceOfPreviousValues()

OFCondition DRTOriginalAttributesSequence::Item::getSourceOfPreviousValues | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get SourceOfPreviousValues (0400,0564)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ isEmpty()

OFBool DRTOriginalAttributesSequence::Item::isEmpty | ( |  | ) |

check if item is empty

Returns
  OFTrue if item is empty, OFFalse otherwise

## ◆ isValid()

OFBool DRTOriginalAttributesSequence::Item::isValid | ( |  | ) | const

check if item is valid, i.e. not the empty default item

Returns
  OFTrue if item is valid, OFFalse otherwise

## ◆ operator=()

Item & DRTOriginalAttributesSequence::Item::operator= | ( | const Item & | copy | ) |

assignment operator

Parameters

  copy | item object to be copied

Returns
  reference to this object

References Item().

## ◆ read()

OFCondition DRTOriginalAttributesSequence::Item::read | ( | DcmItem & | item | ) |

read elements from sequence item

Parameters

  item | reference to DICOM sequence item from which the elements should be read

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setAttributeModificationDateTime()

OFCondition DRTOriginalAttributesSequence::Item::setAttributeModificationDateTime | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set AttributeModificationDateTime (0400,0562)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DT) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setModifyingSystem()

OFCondition DRTOriginalAttributesSequence::Item::setModifyingSystem | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set ModifyingSystem (0400,0563)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setReasonForTheAttributeModification()

OFCondition DRTOriginalAttributesSequence::Item::setReasonForTheAttributeModification | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set ReasonForTheAttributeModification (0400,0565)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setSourceOfPreviousValues()

OFCondition DRTOriginalAttributesSequence::Item::setSourceOfPreviousValues | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set SourceOfPreviousValues (0400,0564)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ write()

OFCondition DRTOriginalAttributesSequence::Item::write | ( | DcmItem & | item | ) |

write elements to sequence item

Parameters

  item | reference to DICOM sequence item to which the elements should be written

Returns
  status, EC_Normal if successful, an error code otherwise

The documentation for this class was generated from the following file:

- dcmrt/include/dcmtk/dcmrt/seq/drtoas.h

Generated on Wed Apr 30 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2